REST APIEnterprise

GET

Returns the enterprise's eligibility, existing Go Account state, and opt-out state for the activation banner.

Path Params

  • enterpriseId string required
    Enterprise to evaluate for Go Account activation.

Responses

200
OK

Response Body

object

Eligibility state used by the Go Account activation banner.

eligible describes the computed backfill criteria independently of whether the enterprise already has a Go Account or has opted out.

  • eligible boolean required
  • hasGoAccount boolean required
  • optedOut boolean required
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id